List the runbook sessions of a workflow
GET
/automation/{id}/session
One row per session generation, newest activity first.
Path Parameters
idstring
required·
Resource id
Query Parameters
statusstring
Possible values:
openclosed
qstring
Matches the session key and title. LIKE wildcards are matched literally. Max 200 characters.
Response Body
next_cursorstring,null
prev_cursorstring,null
resultobject[]
active_run_idstring,null
artifact_countinteger
artifacts_unrecordedinteger
automation_idstring
can_closeboolean
can_continueboolean
close_reasonstring,null
Possible values:
closed_by_useridlenull
closed_atstring,null
closed_bystring,null
created_atstring
generationinteger
keystring
last_activity_atstring
last_run_idstring,null
last_statusstring,null
participant_countinteger
participant_previewobject
2 properties
countinteger
namesstring[]
At most 3.
queued_runsinteger
run_countinteger
session_idstring
statusstring
Possible values:
openclosed
threadobject | null
One of
object · 5 properties
channel_idstring
kind
permalinkstring,null
team_idstring
tsstring
titlestring
curl -X GET 'https://api.elaichi.ai/automation/<id>/session' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/automation/<id>/session', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/session"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())